<!--// XE ver.1.2.x 게시판을 이용한 플래너/음력달력  (Skin Planner123-Simple)-----------------------
## [author]
##  - Keysung Chung, 2009, 07, 28
##  - http://chungfamily.woweb.net/
## [function]
##  - 24절기 일자를 구하기 위해 Chilbong Kim님의 class.calendar.php와 class.solar.php를 사용
##  - 기타 펑션은 인터넷에서 구하거나 직접 코딩함.
## [changes]
##  - PlannerXE123 ver. 1.0.0 : Keysung Chung, 2010, 04, 01
##  - PlannerXE123 ver. 0.3 : Keysung Chung, 2010, 02, 28
##  - PlannerXE123 ver. 0.2 : Keysung Chung, 2009, 11, 09
##	- PlannerXE123 ver. 0.1 : Keysung Chung, 2009, 07, 28
----------------------------------------------------------------------- -->

<?php 
$GLOBALS['pOption'] = Context::get('pOption');	// XE변수 넘겨받기 위해서.
$pOption=$GLOBALS['pOption']; 					// XE변수 넘겨받기 위해서.
$GLOBALS['pYear'] = Context::get('pYear');	// XE변수 넘겨받기 위해서.
$pYear=$GLOBALS['pYear']; 					// XE변수 넘겨받기 위해서.
$GLOBALS['pMonth'] = Context::get('pMonth');	// XE변수 넘겨받기 위해서.
$pMonth=$GLOBALS['pMonth']; 					// XE변수 넘겨받기 위해서.
?>

<?php 
// Time zone을 Seoul로 지정 ( php4.대에서는 에러 발생, php5.1 이상에서 정상작동)
// date_default_timezone_set('Asia/Seoul');     // 시간대 목록은 이곳에서( http://kr.php.net/manual/kr/timezones.php )
$starttime = microtime();
?>

{@ $link_path = getUrl('','mid',$mid,'dummy',1)}
{@ $XE_path = getUrl('')}

{@ $today_bgcolor="#CDE6AC"}   <!--// 달력의 당일 칸 배경색 -->
{@ $today_bodercolor="#58792E"}   <!--// 달력의 당일 칸 border 색 -->
{@ $mouseover_bgcolor="#ddfffa"}   <!--// 달력의 칸에 마우스오버시 배경색 -->

<!--@if($module_info->colorset == "black")-->
	{@ $day_bgcolor=aliceblue}      <!--// 달력의 평일 칸 배경색 -->
<!--@else-->
	{@ $day_bgcolor=beige}      <!--// 달력의 평일 칸 배경색 -->
<!--@end-->

<?php 
$linkpath = $__Context->link_path;
$xepath = $__Context->XE_path;
$skinpath = $tpl_path; // 스킨 설치 경로지정
//echo $linkpath;
//echo $skinpath;
?>

<!--//  function 인쿨르드: 파일 확장자가 "html" 이어야만 정상작동(php는 안됨), 또 class함수는 작동안됨-->
<!--#include("function/function_simple.html")-->
<!--//  인쿨르드 끝 -->

<!--// 날자 설정 ---------------------------------- -->
<?php 
if ($pYear == null ) {
	$pYear = date("Y", fn_xetimestamp());
}

if ($pMonth == null ) {
	$pMonth = date("n", fn_xetimestamp());
}

if ($pMon == null ) {
	$pMon = date("F", fn_xetimestamp());
}

if ($pDay == null ) {
	$pDay = date("j", fn_xetimestamp());
}

if ($pOption < 1 || $pOption > 3 ) {
	$pOption=1;		// 간지옵션
}

$pYear =date("Y", mktime(0, 0, 0, $pMonth, 1, $pYear));
$pMonth =date("n", mktime(0, 0, 0, $pMonth, 1, $pYear));
$pMon =date("F", mktime(0, 0, 0, $pMonth, 1, $pYear));

$todayYY = date("Y", fn_xetimestamp());	// 당일년도
$todayMM = date("n", fn_xetimestamp());	// 당일월
$todayDD = date("j", fn_xetimestamp());	// 당일일
?>

<?php 
$Calmain = fn_CalMain($pYear,$pMonth);		// 달력일자
$Holiday = fn_HolidayChk($pYear, $pMonth);		// 휴일(달력일자 붉은색표시를 위해..)
?>
<!--@if($module_info->display_holiday == 'Y')-->
<?php 
//$Holiday = fn_HolidayChk($pYear, $pMonth);		// 휴일
$ind_holiday = "Y";
?>
<!--@end-->
<!--@if($module_info->display_memday == 'Y')-->
<?php 
$Memday = fn_MemdayChk($pYear, $pMonth);      // 기념일  
$ind_memday = "Y";
?>
<!--@end-->
<!--@if($module_info->display_lunar == 'Y')-->
<?php 
$Lunarday = fn_sol2lun_ary($pYear,$pMonth);   // 음력일자 
$ind_lunar = "Y";
?>
<!--@end-->
<!--@if($module_info->display_lunar == 'Y_all')-->
<?php 
$Lunarday = fn_sol2lun_ary($pYear,$pMonth);   // 음력일자 - 모든날자
$ind_lunar_all = "Y";
?>
<!--@end-->

<!--// planner123 문서목록 얻기---------------------------------- -->
<!--// 검색년월 및 목록수 설정------ -->
<?php
$__Context->pYear = $pYear;					
$tempmonth = substr("0".$pMonth, -2);				//월 을 "7" 에서 "07"로
$__Context->tempMonth = $tempmonth;
$list_count = $__Context->module_info->list_count;  //목록수
$page_count = $__Context->module_info->page_count;  //목록수
?>

<!--// 검색필드 설정------ -->
<?php
$search_target = $__Context->search_target;
$search_keyword = $__Context->search_keyword;

// 검색 Target에 따른 검색필드 설정.
if ($search_keyword != null) {
	switch ($search_target) {
      case (title):
		$obj->var_search_title = $search_keyword;
        break;
      case (content):
		$obj->var_search_content = $search_keyword;
        break;
      case (title_content):
		$obj->var_search_title = $search_keyword;
		$obj->var_search_content = $search_keyword;
        break;
//      case (comment):   // 댓글 검색하지 않음
//        $obj->var_search_comment = $search_keyword;
//        break;
      case (user_name):
        $obj->var_search_user_name = $search_keyword;
        break;
      case (nick_name):
        $obj->var_search_nick_name = $search_keyword;
        break;
      case (user_id):
        $obj->var_search_user_id = $search_keyword;
        break;
      case (tag):
        $obj->var_search_tags = $search_keyword;
        break;
    }
}
?>

<!--// 분류필드 설정--- -->
<?php
$tmp_category = Context::get('category_list');  // 분류srl 얻기 (1단계만 지원, 그룹제한 고려 않음)
if (!$tmp_category) {
	$tmp_category = array();
}
$wrk_var_category_srl = "0";					// 디폴트
foreach ($tmp_category as $val) {
	$wrk_var_category_srl .= ",".$val->category_srl;
    if ($val->selected) {
	    $obj->var_category_srl = $val->category_srl;
	}
}
if (!$obj->var_category_srl) {
$obj->var_category_srl = $wrk_var_category_srl;
}
?>

<!--// loged member --- -->
<?php
$member_srl = $__Context->logged_info->member_srl;
$group_list = $__Context->logged_info->group_list;
$usergroup_arr = array();
if ($member_srl != null) {
	$obj->var_member_srl = $member_srl;	 // user srl
    foreach($group_list as $key => $val) {
       $group_titles .= ",".$val;
	}
    $group_titles=substr($group_titles,1);    // 사용자가 소속된 그룹명칭
	$usergroup_arr = explode(",",$group_titles);
} 
?>

<!--// 쿼리 설정/실행/list만들기--- -->
<?php
$obj->site_srl = '';  // 0을 넣으면 이상해짐
$obj->module_srl = $__Context->module_info->module_srl;
//$obj->sort_index = 'extra_value_start';	// 일정시작일: Alias명 extra_value_start로 sort
//$obj->order_type = 'desc';			// 내림차순
$obj->sort_index = $__Context->module_info->order_target;
$obj->order_type = $__Context->module_info->order_type;
$obj->sort_index_default = 'extra_value_start';	// 선택값이 null 일때 (일정시작만 입력한 경우)
$obj->list_count = $list_count*10;  // 게시판 설정값 10배의 일정표시 (예:기본 20일때 200개까지)
$obj->page_count = $page_count;  // 게시판 설정값
$obj->var_idx1 = '1';    // 확장변수1번: sort target(일정시작)- 통상 값이 있음
$obj->var_idx2 = '2';	 // 확장변수2번: sort targer(일정종료)- 대부분의 경우 null 값임
$obj->var_idx8 = '8';	 // 확장변수8번: 공개그룹
$obj->var_period_start = $pYear.$tempmonth."01";	 // 선택 범위시작 - 당월 01일 >=
$obj->var_period_end = $pYear.$tempmonth."31";	 // 선택 범위  끝 - 당월 31일 <=
$obj->var_fld_null = "0";	 // null 대신값 (null이면 이상해짐)

$query_path = "board/skins/".$__Context->module_info->skin;       // 쿼리경로
$view_group = $__Context->module_info->default_document_group;    // 스킨에서 정해준 일반사용자가 볼수있는 문서그룹

if ($__Context->grant->manager) {
	$output = executeQueryArray($query_path.'.getDocumentsForPlanner_all', $obj);    // 관리자 (모든문서)
} else if ($__Context->module_info->consultation == "Y") {
	$output = executeQueryArray($query_path.'.getDocumentsForPlanner_own', $obj);    // 상담기능 (자신 + 공지)
} else if ($view_group == "owner") {
	$output = executeQueryArray($query_path.'.getDocumentsForPlanner_own', $obj);    // 자신 + 공지
} else if ($view_group == "usergroup") {
	$output = executeQueryArray($query_path.'.getDocumentsForPlanner_group', $obj);  // 자신 + 공지 + 공개그룹소속
} else if ($view_group == "nonsecured") {
	$output = executeQueryArray($query_path.'.getDocumentsForPlanner_nonSec', $obj); // 타인 비밀글및 비멤버쉽 문서 제외
} else if ($view_group == "alldocument") {
	$output = executeQueryArray($query_path.'.getDocumentsForPlanner_all', $obj);    // 모든문서
} else {
	$output = executeQueryArray($query_path.'.getDocumentsForPlanner_all', $obj);    // 모든문서
}

// ---문서 목록 생성 --
	if(count($output->data)) {
		foreach($output->data as $key => $attribute) {
			$tmp_document_srl = $attribute->document_srl;
			$tmp_Document = null;
			$tmp_Document = new documentItem();
			$tmp_Document->setAttribute($attribute, false);
			$tmp_Document->category_srl = $attribute->category_srl;
            $tmp_opengroup_arr = explode("|@|",$attribute->extra_value_group);

		  if($module_info->consultation == 'Y'){   // 상담기능 일때
			if ( $__Context->grant->manager) {
			    $tmp_document_list[$key] = $tmp_Document;       //상담기능-관리자이면 전체 문서를 처리,
			} else {
				if ($attribute->is_notice == "Y" || $attribute->member_srl == $member_srl) {
 			        $tmp_document_list[$key] = $tmp_Document;   //상담기능-관리자 아니면 공지문서나 자신의 문서이면 처리.
                }
			}
          } else {  // 상담기능 아닐때

			if ( $__Context->grant->manager || $view_group == "alldocument") {
			    $tmp_document_list[$key] = $tmp_Document;       // 관리자또는 문서그룹이 alldocument 이면 전체 문서를 처리,
			} else if ($view_group != "usergroup" && $attribute->extra_value_group == null) {
			    $tmp_document_list[$key] = $tmp_Document;       // 문서그룹이 usergroup이 아니면서 공개그룹을 선택하지 않은 문서 처리,
			} else {											// 문서그룹이 usergroup 또는 공개그룹 선택된 문서
				if ($attribute->is_notice == "Y" || $attribute->member_srl == $member_srl) {
 			        $tmp_document_list[$key] = $tmp_Document;       //공지문서나 자신의 문서이면 처리.
                } else {
                    $tmp_flag = "";
                    foreach($usergroup_arr as $tmp_key => $val_tmp) {
			    	    if (in_array($val_tmp, $tmp_opengroup_arr)){   
 			               $tmp_flag = "*";                        //공개그룹 소속.
						}
				    }
				    if ($tmp_flag == "*") {
 			        $tmp_document_list[$key] = $tmp_Document;       //공개그룹 소속이면 처리.
                    }
			    }
			}  

		  }  //상담기능 아닐때 끝

		//echo $tmp_document_srl." ";  //디버깅용
		}  //foreeach 끝
	} else {
		$tmp_document_list = array();          
	}
$__Context->planner123_document_list = $tmp_document_list;
// ---문서 목록 생성 끝--
?>
<!--// planner123 문서목록 얻기 끝---------------------------------- -->

<!--// 공지사항과 일반문서 합치기 ($planner123_document_list로 대체함:만일을위해 살려둠) -->
<!--//(공지사항을 리스트 앞으로 가져오기 위해 합침)  -->
<!--@if($notice_list != null)-->
	{@ $planner_document_list = $notice_list}
	<!--@if($document_list != null)-->
		{@ $planner_document_list = $planner_document_list + $document_list}	
	<!--@end-->
<!--@else-->
	{@ $planner_document_list = $document_list}	
<!--@end-->
<!--// 공지사항과 일반문서 합치기 ** 사용하지 않음 끝 ** -->

<!--// Xe 확장변수 변수를 작업 ($key 등은 board설정시 목록에 포함되어야 들어옴)  -->
<!--@foreach($planner123_document_list as $no => $document)-->

	<!--// Category title & color값 얻기  -->
	<!--@if($module_info->use_category == "Y" && $document->get('category_srl'))-->
		<!--@if($category_list[$document->get('category_srl')]->color)-->
		{@ $category_color = $category_list[$document->get('category_srl')]->color}
		<!--@end-->
		{@ $category_title = $category_list[$document->get('category_srl')]->title}
	<!--@else-->
		{@ $category_color = null}
		{@ $category_title = null}
    <!--@end-->
	<?php
		$category_title = $__Context->category_title;
		$category_color = $__Context->category_color;
	?>

	<!--// 댓글 숫자 얻기  -->
    <!--@if($document->getCommentCount())-->
        {@ $plan_reply = $document->getCommentCount()}
	<!--@else-->
        {@ $plan_reply = null}
	<!--@end-->
	<?php
		$plan_reply = $__Context->plan_reply;
	?>

	<!--// 확장변수값 얻기  -->
	<!--@foreach($list_config as $key => $val)-->
		<!--@if($val->idx == -1)-->
		<!--@else-->
			<!--@if($val->idx == 1)-->
			{@ $plan_start = $document->getExtraValue($val->idx)}	
			{@ $startYY = substr($plan_start,0,4)}
			{@ $startMM = substr($plan_start,4,2)} 
			{@ $startDD = substr($plan_start,6,2)}
			{@ $plan_title = $document->getTitle($module_info->subject_cut_size)}
			{@ $plan_detail = $document->getSummary($module_info->content_cut_size)}
			{@ $plan_url = getUrl('document_srl',$document->document_srl, 'listStyle', $listStyle, 'cpage','')}
			{@ $plan_docurl = $document->document_srl}
				<!--//@if($startYY == $pYear && $startMM == $tempMonth)-->
				<?php
				$plan_title = $__Context->plan_title;
				$plan_detail = $__Context->plan_detail;
				$plan_url = $__Context->plan_url;
				$plan_start = $__Context->plan_start;			// 일정시작
				$plnstartYY = $__Context->startYY;			
				$plnstartMM = $__Context->startMM;
				$plnstartDD = $__Context->startDD;
				$plnstartMM = ltrim( $plnstartMM, "0" );	//  앞의 "0" 제거
				$plnstartDD = ltrim( $plnstartDD, "0" );	//  앞의 "0" 제거
				?>
				<!--//@end-->
			<!--@end-->
			<!--@if($val->idx == 2 )-->
			{@ $plan_end = $document->getExtraValue($val->idx)}		
				<!--@if($plan_end == null )-->
				{@ $plan_end = $plan_start}
				<!--@end-->
			{@ $endYY = substr($plan_end,0,4)}
			{@ $endMM = substr($plan_end,4,2)} 
			{@ $endDD = substr($plan_end,6,2)}
			{@ $plan_title = $document->getTitle($module_info->subject_cut_size)}
			{@ $plan_detail = $document->getSummary($module_info->content_cut_size)}
			{@ $plan_url = getUrl('document_srl',$document->document_srl, 'listStyle', $listStyle, 'cpage','')}
			{@ $plan_docurl = $document->document_srl}
				<!--//@if($endYY >= $pYear && $endMM >= $tempMonth)-->
				<?php
				$plan_title = $__Context->plan_title;
				$plan_detail = $__Context->plan_detail;
				$plan_url = $__Context->plan_url;
				$plan_end = $__Context->plan_end;			// 일정종료
				$plnendYY = $__Context->endYY;			
				$plnendMM = $__Context->endMM;
				$plnendDD = $__Context->endDD;
				$plnendMM = ltrim( $plnendMM, "0" );	// 일자 앞의 "0" 제거
				$plnendDD = ltrim( $plnendDD, "0" );	// 일자 앞의 "0" 제거
				?>
				<!--//@end-->
			<!--@end-->
			<!--@if($val->idx == 3 )-->
			{@ $plan_bgcolor = $document->getExtraValueHTML($val->idx)}		
				<?php
				$plan_bgcolor = $__Context->plan_bgcolor;		// 배경색상
				?>
			<!--@end-->
			<!--@if($val->idx == 4 )-->
			{@ $plan_flagicon = $document->getExtraValueHTML($val->idx)}	
				<?php
				$plan_flagicon = $__Context->plan_flagicon;		// 일정확인
				?>
			<!--@end-->
			<!--@if($val->idx == 5 )-->
			{@ $plan_repeat_cycle = $document->getExtraValueHTML($val->idx)}	
				<?php
				$plan_repeat_cycle = $__Context->plan_repeat_cycle;		// 반복일정 cycle
				?>
			<!--@end-->
			<!--@if($val->idx == 6 )-->
			{@ $plan_repeat_unit = $document->getExtraValueHTML($val->idx)}	
				<?php
				$plan_repeat_unit = $__Context->plan_repeat_unit;		// 반복일정 unit
				?>
			<!--@end-->
            <!--@if($val->idx == 7 )-->
            {@ $plan_time = $document->getExtraValueHTML($val->idx)}
                <?php
                $plan_time = $__Context->plan_time;						// 시간대 (09:00, 09:30, 10:00,.. 형식)
                ?>
            <!--@end-->
		<!--@end-->
	<!--@end-->
<?php 
if ($plnstartYY != null ) {
	if ($plnstartYY == $pYear && $plnstartMM == $pMonth) {		// 당월 시작 이면서 당월 이후 종료
		if (($plnendYY > $pYear) || (($plnendYY == $pYear) && ($plnendMM > $pMonth))) {
					$plnendYY = $pYear;
					$plnendMM = $pMonth;
					$plnendDD = 31;
		}
	}
	elseif (($plnstartYY < $pYear) || (($plnstartYY == $pYear) && ($plnstartMM < $pMonth))) {	// 당월 이전 시작 이면서 당월 종료
		if ($plnendYY == $pYear && $plnendMM == $pMonth) {
					$plnstartYY = $pYear;
					$plnstartMM = $pMonth;
					$plnstartDD = 1;
		}
		if (($plnendYY > $pYear) || (($plnendYY == $pYear) && ($plnendMM > $pMonth))) { // 당월 이전시작 이면서 당월 이후 종료
					$plnstartYY = $pYear;
					$plnstartMM = $pMonth;
					$plnstartDD = 1;
					$plnendYY = $pYear;
					$plnendMM = $pMonth;
					$plnendDD = 31;
		}
	}

	$plan_detail = str_replace("'", "`", $plan_detail);			// '을 `로 대체 textbox보이기위해
	$plan_detail = str_replace("\"", "&quot;", $plan_detail);	// "를 &quot;로 대체 textbox보이기위해
	$plan_detail = str_replace(chr(012), "<br />", $plan_detail); // FF를 제거 textbox보이기위해
	$plan_detail = str_replace(chr(015), "", $plan_detail);		// SI을 제거 textbox보이기위해 -줄바꿈
//	$plan_detail = strip_tags($plan_detail);					// HTML tag 제거 - 줄바꿈 사용않음

	if( $plnstartYY == $pYear && $plnstartMM == $pMonth) {			// 일정관련자료 어레이에 출력
	  $arr_repeat = fn_repeat_schedule($pYear, $pMonth, $plan_start, $plan_end, $plan_repeat_cycle, $plan_repeat_unit);
	  For	($i = $plnstartMM; $i <= $plnendMM; $i++) {
		For ($j = $plnstartDD; $j <= $plnendDD; $j++ ) {
			if ( $arr_repeat[$i][$j] == "*") {
                $arr_plan[$i][$j] = $arr_plan[$i][$j].$plan_title."~:~".$plan_url."~:~".$plan_detail."~:~".$plan_bgcolor."~:~".$plan_flagicon."~:~".$category_title."~:~".$category_color."~:~".$plan_reply."~:~".$plan_time."|#|";   // 어레이에 추가 1차분리자= "|#|", 2차 분리자 "~:~"
			}
		}
	  }
	}
}	
?>
<!--@end-->

<!--// -----달력작성 ----------------------- -->
<style type="text/css">
.planner123 { clear:both; }
.planner_control { width:100%; background:transparent; *zoom:1; }
.planner_control:after { planner_this:""; clear:both; display:block; }
.planner_this { width:200px; float:left; color:#008000; font: bold 20px verdana;  }
.planner_navigation { float:right; }
.planner_calendar { clear:both; width:100%; border-collapse:collapse; table-layout:fixed; }
.planner_calendar th,td { padding:0; border-spacing:0; }
.planner_calendar thead th { border:1px solid #ccc; height:27px; background: url(<?php echo $skinpath?>images/calendar/tablehd_bg.png) repeat-x; }
.planner_calendar tbody td { border:1px solid #ccc; height:80px; padding:0; vertical-align:top; }
.planner_calendar_inner { margin:0; padding:0; width:100%; min-height:80px; display:block; }
.planner_calendar_inner ul { vertical-align:top; text-align:left; border:none; }
.planner_calendar_inner li { height:auto; padding:0px; list-style-type:none; }
.planner_calendar_inner li .holiday { color:#ff0000; }
.planner_calendar_inner li .saturday { color:#0000ff; }
.planner_calendar_inner li .weekday { color:#303030; }
.planner_calendar_inner li .lunar { color:#b03060; }
.planner_calendar_inner li .seasons24 { color:#0000ff; }
.planner_calendar_inner li .memorial { color:#008b8b; }
.planner_calendar_inner li .strong { font-weight:bold; }
.planner_calendar_inner li .font_big { font-size:14px; }
.planner_calendar tbody .today_bg { background:{$today_bgcolor}; border:medium solid; border-color:{$today_bodercolor}; }
</style>

<div class="planner123">
    <!--//  버튼 -->
    <div class="planner_control">
        <div class="planner_this">
            <!--//숫자형식으로 년월 표시-->
            <!--//    <font size="4" COLOR=green><b><?php echo $pYear?>年 <?php echo $pMonth?>月&nbsp;&nbsp;(<?php echo $pYear+2333?>)</b></font>-->
            <!--//영문형식으로 년월 표시-->
            <?php echo $pMon?>&nbsp;&nbsp;<?php echo $pYear?>
		</div>
        <div class="planner_navigation">
			<form style="float:left;" name = "fm_select_year">
			<select style ="height:17px; margin:0; padding:0; font-size:11px;" name="selectyear" onchange="document.location.href='<?php echo $linkpath?>&amp;pOption=<?php echo $pOption?>&amp;pYear=' +this.options[this.selectedIndex].value +'&amp;pMonth=<?php echo $pMonth?>'">
			<option value='<?php echo $pYear?>'><?php echo $pYear?></option>
			<?php for ($j=$todayYY+10; $j>=$todayYY-5; $j-- ) { echo ("<option value='".$j."'>".$j."</option>"); } ?>
			</select></form>&nbsp;&nbsp;
 
            <img src="images/calendar/month_t.gif" width="39" height="15" /><a href="<?php echo $linkpath?>&amp;pOption=<?php echo $pOption?>&amp;pYear=<?php echo $pYear?>&amp;pMonth=<?php echo $pMonth-1?>"><img src="images/calendar/btn_prev_year.gif" width="17" height="15" alt="전월" /></a>
            <?php
            for ($i=1; $i < 13; $i++) {
            ?>
            <a href="<?php echo $linkpath?>&amp;pOption=<?php echo $pOption?>&amp;pYear=<?php echo $pYear?>&amp;pMonth=<?php echo $i?>"><img src="images/calendar/month_<?php echo $i?><?php IF($pMonth == $i){ ?>_on<?php }?>.gif" width="17" height="15" alt="<?php echo $i?>월" /></a>
            <?php
            }
            ?>
            <a href="<?php echo $linkpath?>&amp;pOption=<?php echo $pOption?>&amp;pYear=<?php echo $pYear?>&amp;pMonth=<?php echo $pMonth+1?>"><img src="images/calendar/btn_next_year.gif" width="17" height="15" alt="익월" /></a>
        </div>
    </div>
    <!--//  달력 -->
    <table class="planner_calendar" summary="플래너123">
        <thead>
            <tr>
                <th scope="col" width="14%"><font color="red">Sun</font></th>
                <th scope="col" width="14%">Mon</th>
                <th scope="col" width="14%">Tue</th>
                <th scope="col" width="14%">Wed</th>
                <th scope="col" width="14%">Thu</th>
                <th scope="col" width="14%">Fri</th>
                <th scope="col" width="14%"><font color="blue">Sat</font></th>
            </tr>
        </thead>
        <tbody>
 
        <?php
        $weekcount = count($Calmain);
        for($i=0; $i<$weekcount; $i++) {
            echo ("<tr>\n");
            for ($j=0; $j<7; $j++) {
        ?>
                <td <?php if($pYear == $todayYY && $pMonth == $todayMM && $Calmain[$i][$j] == $todayDD) { ?> class='today_bg'  <?php } else { ?> bgcolor="{$day_bgcolor}"<?php } ?> onMouseOut="this.style.backgroundColor=''" onMouseOver="this.style.backgroundColor='{$mouseover_bgcolor}'">
                <ul class="planner_calendar_inner">
                <?php
                $tmpfld_1 = null;
                $outtext = null;
                $k = $Calmain[$i][$j];
 
                if ($Calmain[$i][$j]== "*"){
                    $Calmain[$i][$j]=null;
                    echo "<li></li>";
                }
                else
                {
                    $tempday=$Calmain[$i][$j];
 
                    // --해당일의 음력일자,절기,휴일,기념일 얻기---
                    $tmparr=explode("-",$Lunarday[$pMonth][$Calmain[$i][$j]]);  //음력날자
                    if ($tmparr[3] == "윤달") {
                        $youndal = "윤";
                    }
                    else {
                        $youndal = null;
                    }
                    $tmpfld1 ="(".$youndal.$tmparr[1]."-".$tmparr[2].")";

					$tmparr4=explode("-",$Holiday[$pMonth][$Calmain[$i][$j]]);  // 공휴일
                    $tmparr5=explode("-",$Memday[$pMonth][$Calmain[$i][$j]]);   // 기념일
                    $tmparr6=explode("|#|",$arr_plan[$pMonth][$Calmain[$i][$j]]);    // 일정/플랜  1차 "|#|",로 분리
 
                    // 첫줄 --일자,공휴일---
                    if ($pYear == $todayYY && $pMonth == $todayMM && $Calmain[$i][$j] == $todayDD ) {
                        $outtext = "<li style='background:".$__Context->today_bgcolor.";'>";   // 당일
                    }
                    else  {
                        $outtext = "<li>";                 // 평일
                    }
 
                    if ($j==0 || $tmparr4[0] != null) {
                        $tmpfld = "<span class='holiday'>".$Calmain[$i][$j]."</span>";    // 일요일 및 휴일
                    }
                    elseif ($j==6) {
                        $tmpfld = "<span class='saturday'>".$Calmain[$i][$j]."</span>";   // 토요일
                    }
                    else  {
                        $tmpfld = "<span class='weekday'>".$Calmain[$i][$j]."</span>";  // 평일
                    }
                    $templink = getUrl('act','dispBoardWrite','document_srl','') ;  // 일자 클릭시 쓰기로 이동
                    $templink .= "&amp;extra_vars1=$pYear-$tempmonth-".substr("0".$tempday,-2);    // 일정시작 확장변수에 값 넣기위해
                    $templink = "<a href=".$templink." class='strong font_big'>";
                    $outtext .= "&nbsp;".$templink.$tmpfld."</a>";   // 일자
                    if ($ind_lunar_all == 'Y' && $Calmain[$i][$j] != null) {	
                        $outtext .= "&nbsp;"."<span class='lunar'>".$tmpfld1."</span>";    // 음력 - 모든날자 표시
                    }
						if ($ind_lunar == 'Y' && ($tmparr[2] == 1 || $tmparr[2] == 10 || $tmparr[2] == 15 || $tmparr[2] == 20)) {  
							$outtext .= "&nbsp;"."<span class='lunar'>".$tmpfld1."</span>";    // 음력 - 1,10,15,20일 표시
						}
                    if ($ind_holiday == 'Y') {  // 휴일 표시
                    $outtext .= "&nbsp;<span class='holiday strong'>".$tmparr4[0]."</span>"; // 공휴일
					}
                    $outtext .= "</li>";
                    echo ($outtext);
 
                    // 두째줄 --일정/플랜---
                    if (!empty($tmparr6[0]))
                    {
                        foreach ($tmparr6 as $val)
                        {
                            if (!$val = trim($val)) continue; // 빈어레이는 무시하고 빠진다.
                            $tmparr7=explode("~:~",$val);
                            if (!empty($tmparr7[0]))
                            {
                                //$lplan_cat = (!empty($tmparr7[5]))?"<span style='color:".$tmparr7[6].";'>[".$tmparr7[5]."] </span>":""; // 분류
								$lplan_state = null;
								if (!empty($tmparr7[4]))
								{
									$arr_icon = explode(",",$tmparr7[4]);
									foreach ($arr_icon as $icon)
									{
										if ($icon = trim($icon))
										{
			                                $lplan_state .= "<img src='images/icon/".$icon."'/>"; //일정확인
										}
									}
								}
                                //$lplan_reply = (!empty($tmparr7[7]))?"<span class='small'>[".$tmparr7[7]."]</span>":""; //댓글숫자
 								$tmp_time = explode(",",$tmparr7[8]);		//시작시간
                           }
						if ($tmparr7[8]){ $time_disply_fld = "[".trim($tmp_time[0])."-".trim($tmp_time[1])."]"; } else { $time_disply_fld = null; }
                        echo "<li style='background-color:".$tmparr7[3].";'>".$lplan_state."<a href=".$tmparr7[1]." title='".$time_disply_fld." ".$tmparr7[2]."'>".trim($tmp_time[0])." ".$tmparr7[0]."</a></li>"; //시간+일정제목
                        }
                   }

                   // 셋째줄 -- 기념일---
                   if (!empty($tmparr5[0]) && $ind_memday == 'Y') { // 기념일만 체크
                        echo "<li><span class='memorial'>".$tmparr5[0]."</span></li>"; // 기념일
                   }
				}
                echo ("</ul>");
                echo ("</td>\n");
            }
            echo ("</tr>\n");
        }
        ?>
 
        </tbody>
    </table>
</div>

<!--// 관리자로 로그인 했을경우 리스트 출력 -->
<!--@if($grant->manager)-->
<!--#include("./_style.list_planner.html")-->
<!--@end-->

<!--// 툴팁 -->
<!--%load_js_plugin("qtip")-->
<script type="text/javascript">//<![CDATA[
var $j = jQuery.noConflict();
$j(document).ready(function()
{
    // qtip
    $j('ul:.planner_calendar_inner a[title]').qtip({
      position: {
         corner: {        //bottomLeft, bottomRight, bottomMiddle, topRight, topLeft, topMiddle,
                        //leftMiddle, leftTop, leftBottom, rightMiddle, rightBottom, rightTop
            target: 'topMiddle',                                  
            tooltip: 'bottomMiddle'
         }
      },
      style: {
         name: 'green', //defaults,cream,light,dark,red,green,blue
         padding: '7px 13px',
         width: {
            max: 250,
            min: 0
         },
      border: {
         width:  3,  //border 굵기 지정
         radius: 0   //coner round 반경 지정(색을 지정하려면 끝에 "0,"처럼 끝에,를 붙일것)
         //color: '#A9DB66' //border color
         },
         tip: true
      }
    });
});
//]]></script>
